For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GitHub
DocumentationREST API Reference
DocumentationREST API Reference
    • Getting Started
  • API Reference
    • Service Account
    • Infrastructure Provider
    • Tenant
    • Tenant Account
    • Site
    • Allocation
    • IP Block
    • VPC
    • VPC Peering
    • VPC Prefix
    • Subnet
    • Expected Machine
    • Expected Power Shelf
    • Expected Rack
      • GETRetrieve all Expected Racks
      • POSTCreate Expected Rack
      • PUTReplace all Expected Racks
      • DELDelete all Expected Racks
      • GETRetrieve Expected Rack
      • DELDelete Expected Rack
      • PATCHUpdate Expected Rack
    • Expected Switch
    • SKU
    • Infini Band Partition
    • Nv Link Logical Partition
    • Instance Type
    • Instance
    • Operating System
    • Machine
    • Rack
    • Task
    • Tray
    • Network Security Group
    • Dpu Extension Service
    • SSH Key Group
    • SSH Key
    • User
    • Metadata
    • Audit
    • Tenant Identity
GitHub
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
API ReferenceExpected Rack

Update Expected Rack

||View as Markdown|
PATCH
https://nico-rest-api.nico.svc.cluster.local/v2/org/:org/nico/expected-rack/:id
PATCH
/v2/org/:org/nico/expected-rack/:id
$curl -X PATCH https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/expected-rack/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "rackProfileId": "rp-standard-48u",
> "name": "Rack 01 (updated)",
> "description": "Production rack in row A, upgraded chassis",
> "labels": {
> "chassis.manufacturer": "NVIDIA",
> "chassis.serial-number": "NVRK0001001",
> "chassis.model": "GB200-NVL72",
> "location.datacenter": "phx-dc01",
> "location.position": "A1"
> }
>}'
1{
2 "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
3 "rackId": "rack-01",
4 "siteId": "f97df110-f4de-492e-8849-4a6af68026b0",
5 "rackProfileId": "rp-standard-42u",
6 "name": "Rack 01",
7 "description": "Production rack in row A",
8 "labels": {
9 "chassis.manufacturer": "NVIDIA",
10 "chassis.serial-number": "NVRK0001001",
11 "chassis.model": "GB200-NVL72",
12 "location.region": "us-west-2",
13 "location.datacenter": "phx-dc01",
14 "location.room": "room-1",
15 "location.position": "A1"
16 },
17 "created": "2019-08-24T14:15:22Z",
18 "updated": "2019-08-24T14:15:22Z"
19}
Update an existing Expected Rack identified by its `id`. Org must have an Infrastructure Provider entity. User must have `FORGE_PROVIDER_ADMIN` role. Infrastructure Provider must own the Expected Rack. Alternatively, Tenant Admins with `TargetedInstanceCreation` capability can also update Expected Racks if they have an account with the Site's Infrastructure Provider.
Previous

Delete Expected Rack

Next

Expected Switch

Update an existing Expected Rack identified by its id.

Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN role.

Infrastructure Provider must own the Expected Rack.

Alternatively, Tenant Admins with TargetedInstanceCreation capability can also update Expected Racks if they have an account with the Site’s Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
idstringRequiredformat: "uuid"
ID of the Expected Rack

Request

Expected Rack update request
idstring or nullOptionalformat: "uuid"

Unique identifier (UUID) of the Expected Rack to update. Optional for single Expected Rack update (must be empty or match the id from the URL path).

rackIdstring or nullOptional>=1 character

Optional new operator-supplied rack identifier. If provided, must be non-empty and unique within the Site.

rackProfileIdstring or nullOptional>=1 character

Optional new Rack Profile identifier. If provided, must be non-empty.

namestring or nullOptional>=1 character

Human-readable name of the Expected Rack

descriptionstring or nullOptional>=1 character

Human-readable description of the Expected Rack

labelsmap from strings to stringsOptional

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

Response

OK
idstringRead-onlyformat: "uuid"

Unique identifier (UUID) for the Expected Rack

rackIdstringRead-only

Operator-supplied identifier for the rack (string, not UUID). Unique within a Site.

siteIdstringRead-onlyformat: "uuid"
ID of the Site the Expected Rack belongs to
rackProfileIdstring
Identifier of the Rack Profile this rack conforms to
namestring

Human-readable name of the Expected Rack

descriptionstring

Human-readable description of the Expected Rack

labelsmap from strings to strings

User-defined key-value pairs for organizing and categorizing Expected Racks. Well-known keys (chassis.*, location.*) are used to convey chassis identity and physical location.

createddatetimeRead-only
ISO 8601 datetime when the Expected Rack was created
updateddatetimeRead-only
ISO 8601 datetime when the Expected Rack was last updated

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current